<?php 
function gamesquare_customizer_register( $wp_customize ) {
	 $wp_customize -> add_section('gamesquare_colors', array(
			'title' => __('Color pattern unikalizatsiya', 'ooo'),
			'description' => __('Change the template color', 'ooo')
		));
	 
	$wp_customize->add_setting('background-color', array(
			'sanitize_callback' => '__return_false', 
			'default' => '#fff',
		));
	$wp_customize->add_setting('link-color', array( 
			'sanitize_callback' => '__return_false', 
			'default' => '#4b4b4b',
		));
	$wp_customize->add_setting('href-color', array(
		'sanitize_callback' => '__return_false',  
			'default' => '4b4b4b',
		));
	$wp_customize->add_setting('avtor-color', array(
		'sanitize_callback' => '__return_false',  
			'default' => '4b4b4b',
		));
	$wp_customize->add_setting('rubrica-color', array(
		'sanitize_callback' => '__return_false',  
			'default' => '4b4b4b',
		));
	$wp_customize->add_setting('hrefka-color', array(
		'sanitize_callback' => '__return_false',  
			'default' => '5b5b5b',
		));
	$wp_customize->add_setting('post_div-color', array(
		'sanitize_callback' => '__return_false',  
			'default' => '5b5b5b',
		));
	
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'background-color', array(
			'lebel' => __('Edit background Color', 'ooo'),
			'section' => 'gamesquare_colors',
			'setting' => 'background-color',
			'description' => __('You can change the background site', 'ooo')
		) ));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'link-color', array(
			'lebel' => __('Edit Link Color', 'ooo'),
			'section' => 'gamesquare_colors',
			'setting' => 'link-color',
			'description' => __('Change font color', 'ooo')
		) ));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'href-color', array(
			'lebel' => __('Edit Href Color', 'ooo'),
			'section' => 'gamesquare_colors',
			'setting' => 'href-color',
			'description' => __('Change the color of links, it will unkolizovat template', 'ooo')
		) ));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'avtor-color', array(
			'lebel' => __('Edit Avtor Podpis Color', 'ooo'),
			'section' => 'gamesquare_colors',
			'setting' => 'avtor-color',
			'description' => __('You can Change the color of the signature of the author, and publication', 'ooo')
		) ));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'rubrica-color', array(
			'lebel' => __('Edit Rubrica Color', 'ooo'), 
			'section' => 'gamesquare_colors',
			'setting' => 'rubrica-color',
			'description' => __('It allows you to change the background column', 'ooo')
		) ));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'hrefka-color', array(
			'lebel' => __('Edit Href Glavnaa Color', 'ooo'), 
			'section' => 'gamesquare_colors',
			'setting' => 'hrefka-color',
			'description' => __('It allows you to change the color of links, which are located on the main page', 'ooo')
		) ));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'post_div-color', array(
			'lebel' => __('Edit Href Glavnaa Color', 'ooo'), 
			'section' => 'gamesquare_colors',
			'setting' => 'post_div-color',
			'description' => __('It allows you to change the background color of the post on the main page','ooo')
		) ));
	
 $wp_customize -> add_section('gamesquare_image', array(
			'title' => __('Setting carousel', 'ooo'),
			'description' => __('Setting carousel', 'ooo')
		));

 $wp_customize->add_setting('scroll', array(
 	'sanitize_callback' => '__return_false',  
			'default' => '',
		));
 $wp_customize->add_control( 'scroll', array(
			'lebel' => __('Edit Href Gla Color', 'ooo'), 
			'section' => 'gamesquare_image',
			'setting' => 'scroll',
			'description' => __('Here you can turn off and turn on the carousel', 'ooo'),
			'type' => 'radio',
			'choices' => array(
			''=> __('Enable carousel', 'ooo'),
			'none'=> __('Disable carousel', 'ooo'),
		) 
		));

 $wp_customize->add_setting('karysel_van', array(
 		'sanitize_callback' => '__return_false', 
			'default' => 'https://img-fotki.yandex.ru/get/15576/136468307.3e/0_f5e60_f938b2e1_orig.jpg',
		));
 $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'karysel_van', array(
			'lebel' => __('Edit Href Glavnaa Color', 'ooo'), 
			'section' => 'gamesquare_image',
			'setting' => 'karysel_van',
			'description' => ''
		) ));

		 
 $wp_customize->add_setting('karysel_two', array(
 	'sanitize_callback' => '__return_false',  
			'default' => 'https://img-fotki.yandex.ru/get/15576/136468307.3e/0_f5e60_f938b2e1_orig.jpg',
		));
 $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'karysel_two', array(
			'lebel' => __('Edit Href Glavnaa Color', 'ooo'), 
			'section' => 'gamesquare_image',
			'setting' => 'karysel_two',
			'description' => __('It allows you to change the background color of the post on the main page', 'ooo')
		) ));


 
 $wp_customize->add_setting('karysel_three', array(
 	'sanitize_callback' => '__return_false',  
			'default' => 'https://img-fotki.yandex.ru/get/15576/136468307.3e/0_f5e60_f938b2e1_orig.jpg',
		));
 $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'karysel_three', array(
			'lebel' => __('Edit Href Glavnaa Color', 'ooo'), 
			'section' => 'gamesquare_image',
			'setting' => 'karysel_three',
			'description' => __('It allows you to change the background color of the post on the main page', 'ooo')
		) ));
 
  $wp_customize -> add_section('gamesquar_image', array(
			'title' => __('Setting template graphics', 'ooo'),
			'description' => __('Setting template graphics', 'ooo')
		));
 $wp_customize->add_setting('logo_header', array(
 	'sanitize_callback' => '__return_false',  
			'default' => '',
		));
 $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'logo_header', array(
			'lebel' => __('Edit Href Glavnaa Color', 'ooo'), 
			'section' => 'gamesquar_image',
			'setting' => 'logo_header',
			'description' => __('Add a logo to your blog header. I recommend using a large-sized logo', 'ooo')
		) ));
 $wp_customize->add_setting('logo_footer', array(
 	'sanitize_callback' => '__return_false',  
			'default' => '',
		));
 $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'logo_footer', array(
			'lebel' => __('Edit Href Glavnaa Color', 'ooo'), 
			'section' => 'gamesquar_image',
			'setting' => 'logo_footer',
			'description' => __('Add a logo to your blog basement. I recommend using a large-sized logo', 'ooo')
		) ));

 $wp_customize->add_setting('logo_body', array(
 	'sanitize_callback' => '__return_false',  
			'default' => '',
		));
 $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'logo_body', array(
			'lebel' => __('Edit Href Glavnaa Color', 'ooo'), 
			'section' => 'gamesquar_image',
			'setting' => 'logo_body',
			'description' => __('nstead, the background color, use a graphic. I recommend to use a 100x100 image and less', 'ooo')
		) ));

$wp_customize -> add_section('gamesquar_control', array(
			'title' => __('Text widget', 'ooo'),
			'description' => __('Text widget', 'ooo'),
		
		));
 $wp_customize->add_setting('vidzhet_odin', array(
 			'sanitize_callback' => '__return_false',  
			'default' => __('Give the name of the widget', 'ooo'),
		));
 $wp_customize->add_control( new WP_Customize_Control($wp_customize, 'vidzhet_odin', array(
			'lebel' => __('Edit Href Glavnaa Color', 'ooo'),
			'section' => 'gamesquar_control',
			'setting' => 'vidzhet_odin',
			'description' => __('The first widget', 'ooo')
		) ));

$wp_customize->add_setting('vidzhet_open', array(
	'sanitize_callback' => '__return_false',  
			'default' => 'left',
		));
 $wp_customize->add_control( 'vidzhet_open', array(
			'lebel' => __('Edit Href Glavnaa Color', 'ooo'),
			'section' => 'gamesquar_control',
			'setting' => 'vidzhet_open',
			'description' => __('To enable a widget, press the corresponding button', 'ooo'),
			'type' => 'radio',
			'choices' => array(
			''=> __('Enable widget', 'ooo'),
			'none'=> __('Disable widget', 'ooo'),
		) 
	));

 $wp_customize->add_setting('vidzhet_dva', array(
 		'sanitize_callback' => '__return_false', 
			'default' => 'Give the name of the widget',
		));
 $wp_customize->add_control( new WP_Customize_Control($wp_customize, 'vidzhet_dva', array(
			'lebel' => __('Edit Href Glavnaa Color', 'ooo'),
			'section' => 'gamesquar_control',
			'setting' => 'vidzhet_dva',
			'description' => __('second widget', 'ooo')
		) ));

$wp_customize->add_setting('vidzhet_open_dva', array(
	'sanitize_callback' => '__return_false',  
			'default' => 'left',
		));
 $wp_customize->add_control( 'vidzhet_open_dva', array(
			'lebel' => __('Edit Href Glavnaa Color', 'ooo'),
			'section' => 'gamesquar_control',
			'setting' => 'vidzhet_open_dva',
			'description' => __('To enable a widget, press the corresponding button', 'ooo'),
			'type' => 'radio',
			'choices' => array(
			''=> __('Enable widget', 'ooo'),
			'none'=> __('Disable widget', 'ooo'),
		) 
	));


 $wp_customize->add_setting('vidzhet_tri', array(
 		'sanitize_callback' => '__return_false', 
			'default' => 'Give the name of the widget',
		));
 $wp_customize->add_control( new WP_Customize_Control($wp_customize, 'vidzhet_tri', array(
			'lebel' => __('Edit Href Glavnaa Color', 'ooo'), 
			'section' => 'gamesquar_control',
			'setting' => 'vidzhet_tri',
			'description' => __('A third widget', 'ooo')
		) ));

$wp_customize->add_setting('vidzhet_open_tri', array(
	'sanitize_callback' => '__return_false',  
			'default' => 'left',
		));
 $wp_customize->add_control( 'vidzhet_open_tri', array(
			'lebel' => __('Edit Href Glavnaa Color', 'ooo'), 
			'section' => 'gamesquar_control',
			'setting' => 'vidzhet_open_tri',
			'description' => __('To enable a widget, press the corresponding button', 'ooo'),
			'type' => 'radio',
			'choices' => array(
			''=> __('Enable widget', 'ooo'),
			'none'=> __('Disable widget', 'ooo'),
		) 
	));
 

$wp_customize -> add_section('cool_chips', array(
			'title' => __('Cool chips', 'ooo'),
			'description' => __('You can improve the visualization of the site', 'ooo')
		
		));

 $wp_customize->add_setting('download_site', array(
 	'sanitize_callback' => '__return_false',  
			'default' => '',
		));
 $wp_customize->add_control( 'download_site', array(
			'lebel' => __('Edit Href Gla Color', 'ooo'), 
			'section' => 'cool_chips',
			'setting' => 'download_site',
			'description' => __('It allows you to set the download priloder village. Additional inf at the office site', 'ooo'),
			'type' => 'radio',
			'choices' => array(
			'class'=>__('Enable animations', 'ooo'),
			'id'=>__('Disable animation', 'ooo'),
		) 
		));

}

function gamesquare_css_customizer() {
?>
<style type="text/css">
	body { background-color: <?php echo get_theme_mod('true_font'); ?>}
	body { background-color: <?php echo get_theme_mod('background-color'); ?>}
	body { background-image: url(<?php echo get_theme_mod('logo_body');?>)}
	body { color: <?php echo get_theme_mod('link-color'); ?>}
	.list-group a { color: <?php echo get_theme_mod('href-color'); ?>}
	.avtor_vasa, .avtor_data { color: <?php echo get_theme_mod('avtor-color'); ?>}
	.list-group h3 { background-color: <?php echo get_theme_mod('rubrica-color'); ?>}
	.hrefka a { color: <?php echo get_theme_mod('hrefka-color'); ?>}
	.post_div { background-color: <?php echo get_theme_mod('post_div-color');?>}
	.open_zver { display: <?php echo get_theme_mod('vidzhet_open');?>}
	.open_zver_dva { display: <?php echo get_theme_mod('vidzhet_open_dva');?>}
	.open_zver_tri { display: <?php echo get_theme_mod('vidzhet_open_tri');?>}
	.bs-example_one { display: <?php echo get_theme_mod('scroll');?>}
</style>
<?php

}

add_action('wp_head', 'gamesquare_css_customizer'); 
add_action('customize_register','gamesquare_customizer_register');

?>